/* 
Reset
*/

:root {
    --main-color: rgb(33, 7, 148);
    --success-color: green;
    --error-color: #cc0f0f;
}

input, button {
    margin-bottom: 0;
}

h1 {
    font-size: 1.5rem;
    font-weight: 800;
    text-transform: uppercase;
    line-height: 1;
    margin-bottom: 0;
    width: 100%;
}

a {
    color: inherit;
    text-decoration: none;
}

select {
    padding: 1rem;
    margin-bottom: 1rem;
}

form ul, #instagramUserHeader, #instagramFeed {
    list-style: none;
}

form ul {
    margin-bottom: 0;
}

form li {
    width: calc(100% - 9rem);
    margin-bottom: 0;
}

form li:last-child {
    width: 9rem;
    text-align: right;
}

.button, button, input[type='button'], input[type='reset'], input[type='submit'] {
    background-color: var(--main-color);
}

.button, button, input[type='button'], input[type='reset'], input[type='submit'], input[type='color']:focus, input[type='date']:focus, input[type='datetime']:focus, input[type='datetime-local']:focus, input[type='email']:focus, input[type='month']:focus, input[type='number']:focus, input[type='password']:focus, input[type='search']:focus, input[type='tel']:focus, input[type='text']:focus, input[type='url']:focus, input[type='week']:focus, input:not([type]):focus, textarea:focus, select:focus {
    border-color: var(--main-color);
}

label {
    margin-top: 1rem;
}

input+[type="submit"] {
    margin-top: 2rem;
}

/**/

/* 
Commons
*/

.flexBox {
    display: -webkit-flex;
    display: -moz-flex;
    display: -o-flex;
    display: -ms-flex;
    display: flex;
}

.flexWarp {
    -webkit-flex-wrap: wrap;
    -moz-flex-wrap: wrap;
    -o-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.flexCenter {
    -webkit-justify-content: center;
    -moz-justify-content: center;
    -o-justify-content: center;
    -ms-justify-content: center;
    justify-content: center;
    -webkit-align-items: center;
    -moz-align-items: center;
    -o-align-items: center;
    -ms-align-items: center;
    align-items: center;
}

.spaceBetween {
    -webkit-justify-content: space-between;
    -moz-justify-content: space-between;
    -o-justify-content: space-between;
    -ms-justify-content: space-between;
    justify-content: space-between;
}

.flexColumn {
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -o-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
}

.flexColumn>* {
    margin: auto;
}

/**/

/* 
Global
*/

header, main, footer {
    width: 100%;
    max-width: 85rem;
    margin: auto;
}

main {
    height: calc(100vh - 10rem);
}

header, footer {
    height: 5rem;
}

footer p {
    margin-bottom: 0;
    text-transform: uppercase;
    font-size: 1.2rem;
    font-weight: 900;
    width: 100%;
}

ul {
    list-style-type: none;
}

textarea {
    width: 100%;
    height: 150px;
    margin-bottom: 5%;
}

.username {
    font-style: italic;
    font-weight: bold;
}

.comment {
    background-color: #d9d9d9;
    border-radius: 5px;
    padding: 1%;
}

.like_post {
    float: left !important;
    margin-right: 5% !important;
    font-size: 2em !important;
}

.like_button {
    float: right;
    color: #9f0101;
    font-size: 1.3em;
    left: 1%;
}

.like_button_active {
    float: right;
    color: var(--error-color);
}

.like_button:hover {
    cursor: pointer;
    color: var(--error-color);
}

.counter {
    font-size: 1.1em !important;
}

.edit_button {
    float: right;
    right: 7%;
    font-size: 1.3em;
}

.edit_button:hover {
    cursor: pointer;
    color: gray;
}

.comment_content {
    width: 85%;
    display: inline-block;
    text-align: justify;
    word-break: break-word;
}

.error-btn {
    background-color: var(--error-color);
    border: none;
}

.success-btn {
    background-color: var(--success-color);
    border: none;
}

.delete-btn {
    float: right;
    margin-top: -13% !important;
    margin-bottom: 10%;
}

/* The Modal (background) */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 2%;
    border-radius: 10px;
    width: 30%;
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover, .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/**/